import { Meteor } from 'meteor/meteor';
import React, {lazy, Suspense, useState} from 'react';
import { useTracker } from 'meteor/react-meteor-data';
import _ from 'lodash';
import TabNav from '../util/TabNav';

export default () => {
	let tabs = [
		{
			title: "Chromebook Usage",
			getElement: () => {
				const ChromebookUsage = lazy(()=>import('./History/ChromebookUsage'))
				return <ChromebookUsage/>
			},
			path: '/chromebookUsage',
			href: 'chromebookUsage'
		},
		{
			title: "Asset Assignments",
			getElement: () => {
				const AssetAssignments = lazy(()=>import('./History/AssetAssignments'))
				return <AssetAssignments/>
			},
			path: '/assetAssignments',
			href: 'assetAssignments'
		},
	]

	return <TabNav tabs={tabs}/>
}